=== added directory 'unit-tests'
=== added file 'unit-tests/TestsBase.qml'
--- unit-tests/TestsBase.qml	1970-01-01 00:00:00 +0000
+++ unit-tests/TestsBase.qml	2013-02-13 18:48:35 +0000
@@ -0,0 +1,7 @@
+import QtQuick 2.0
+
+ListModel{
+    id: model
+
+    ListElement{operation: "3+2"; expected: 5}
+}

=== added file 'unit-tests/unit-tests.qml'
--- unit-tests/unit-tests.qml	1970-01-01 00:00:00 +0000
+++ unit-tests/unit-tests.qml	2013-02-13 18:48:35 +0000
@@ -0,0 +1,48 @@
+import QtQuick 2.0
+import Ubuntu.Components 0.1
+import Ubuntu.Components.ListItems 0.1
+import "../engine.js" as CALC
+
+MainView {
+    // objectName for functional testing purposes (autopilot-qt5)
+    objectName: "calculator"
+
+    width: units.gu(50)
+    height: units.gu(75)
+
+    Tabs {
+        id: tabs
+        anchors.fill: parent
+
+        // First tab begins here
+        Tab {
+            objectName: "Tab1"
+
+            title: i18n.tr("Basic maths")
+
+            // Tab content begins here
+            page: Page {
+                ListView{
+                    id: view
+                    anchors.fill: parent
+                    model: TestsBase{}
+                    delegate: Standard{
+                        width: parent.width
+                            Label{
+                                anchors.centerIn: parent
+                                text: operation+"="+CALC.Parser.parse(operation)
+                            }
+                            UbuntuShape{
+                                color: CALC.Parser.parse(operation) == expected ? "green" : "red"
+                                width: units.gu(3)
+                                height: units.gu(3)
+                                anchors.right: parent.right
+                                anchors.rightMargin: units.gu(1)
+                                anchors.verticalCenter: parent.verticalCenter
+                            }
+                    }
+                }
+            }
+        }
+    }
+}

=== added file 'unit-tests/unit-tests.qmlproject'
--- unit-tests/unit-tests.qmlproject	1970-01-01 00:00:00 +0000
+++ unit-tests/unit-tests.qmlproject	2013-02-13 18:48:35 +0000
@@ -0,0 +1,20 @@
+/* File generated by Qt Creator, version 2.6.2 */
+
+import QmlProject 1.1
+
+Project {
+    mainFile: "unit-tests.qml"
+
+    /* Include .qml, .js, and image files from current directory and subdirectories */
+    QmlFiles {
+        directory: "."
+    }
+    JavaScriptFiles {
+        directory: "."
+    }
+    ImageFiles {
+        directory: "."
+    }
+    /* List of plugin directories passed to QML runtime */
+    importPaths: [ ".", "/usr/lib/x86_64-linux-gnu/qt5/qml" ]
+}

